# 5.	Traitement des données Cadastre

Les fichiers Edigeo-pci contiennent les données géographiques du cadastre.

![](/images/GMC_Manuel-utilisateur/05.001.ModeleDonneesEdigeo.png)

*Modèle de données du format Edigeo lu par FME. (Majic pour FME)*

Le chargement des données cadastrales se fait en trois étapes :

* Préparation

* Suppression

* Chargement

## 5.1	Préparation

Cette phase obligatoire permet la sélection puis la décompression des fichiers Edigéo fournis au format .zip ou .tar.bz2. Elle décompresse puis ventile ensuite les données Edigéo par commune : un répertoire par commune est créé dans l&rsquo;espace de travail, dans lequel les données à charger en base sont réparties par feuille.

![](/images/GMC_Manuel-utilisateur/05.002.PreparationEspaceTravail.png)

*Découpage des données Edigéo par commune*

![](/images/icones/check.png)	Ne pas modifier l’arborescence de fichiers générée lors de cette phase pour que le chargement puisse fonctionner correctement. Un répertoire parent par département doit contenir un ou plusieurs répertoires enfants par commune dans lequel se trouvent les feuilles cadastrales.

### Caractéristiques du jeu de données à charger :

Un code Département (Code INSEE du département sur 2 caractères) ainsi qu’un code Direction (Code Dir sur 1 caractère) peuvent être spécifiés. Un répertoire nommé par la concaténation du code département et du code direction est créé à la racine du répertoire Edigeo et contient l’intégralité des données ventilées par commune.

Le champ &rsquo;Système de coordonnées source&rsquo; permet de définir le système de coordonnées des données source. Si ce champ est laissé vide, le système de projection associé aux données source Edigéo est utilisé. En revanche si un système est défini, GMC exploitera ce dernier et ignorera le système associé aux données source susceptible d&rsquo;être erroné ou manquant. Un fichier coordsys.txt est créé dans l&rsquo;espace de travail indiquant le système de projection des données sélectionné.

## 5.2	Suppression

![](/images/icones/check.png)	Dans le cas d&rsquo;une mise à jour du cadastre, la phase de suppression est l&rsquo;opération à exécuter en premier.

L&rsquo;onglet suppression permet de supprimer :
*	Tous les enregistrements des tables du schéma Cadastre de toutes les communes.

*	d&rsquo;une ou plusieurs communes : id_com à définir sur 5 ou 6 caractères selon le modèle de données et séparés par une virgule.

*	de toutes les communes d&rsquo;un département ou plusieurs départements : dep_code sur 2 caractères, séparés par une virgule.

*	les enregistrements d&rsquo;une ou plusieurs sections définies par leur id_sec (10 ou 11 caractères selon le modèle de données), séparés par une virgule.

L&rsquo;opération de suppression génère un fichier SuppressionCadastre.log dans le répertoire .\log\log de l&rsquo;espace de travail.

## 5.3 chargement

La troisième opération consiste au chargement des données en base.

![](/images/GMC_Manuel-utilisateur/05.003.ChargementDonneesEdigeo.png)

*Chargement des données Edigéo*

Après avoir sélectionné la ou les communes à charger, le bouton Lancer le Traitement permet d&rsquo;exécuter le chargement en base de données.

Une fois le traitement réussi, les fichiers du répertoire Data sont déplacés dans le répertoire Archive. Si une erreur a eu lieu empêchant le chargement en base, les données demeurent dans le répertoire data.

![](/images/icones/check.png)	Pour que le chargement s’opère correctement, ne pas modifier l’arborescence de fichiers générés en phase de préparation. Un répertoire parent doit contenir un ou plusieurs répertoires enfants par commune, dans lesquels les feuilles ont été ventilées.

Le chargement du cadastre en base génère un fichier &rsquo;ChargementCadastre_numéro_process.log&rsquo;.

![](/images/icones/check.png)		Il est impossible de générer des doublons sur les types d&rsquo;entités : COMMUNE, SECTION et PARCELLE. Pour chacun de ces 3 types d&rsquo;entités une clé primaire est définie empêchant les doublons dans la base de données. En revanche pour tous les autres types d&rsquo;entités EDIGEO, aucune contrainte n&rsquo;est définie. Le chargement d&rsquo;un objet existant ne générera pas d&rsquo;erreur et l&rsquo;objet sera doublé.

![](/images/icones/check.png)		Chargement PostGIS et vérification de l&rsquo;unicité des parcelles.
Pour assurer la vérification de l&rsquo;unicité des parcelles et le chargement de l&rsquo;intégralité des données, l&rsquo;option "Vérifier l&rsquo;unicité des parcelles avant chargement" permet de forcer l&rsquo;utilisation d&rsquo;un seul process FME pour assurer le contrôle de l&rsquo;unicité des parcelles. Ce processus alourdit significativement le temps de chargement des données. Il est donc conseillé de procéder en 2 étapes :

*	Lancer le traitement sans aucune vérification. Toutes les parcelles dont la clé n&rsquo;a jamais été rencontrée sont chargées et envoyées dans le répertoire \archive. Ensuite, les doublons ne sont pas chargés et restent dans le répertoire \data. Un fichier .ffs des doublons est généré et stocké dans le répertoire \log. Une erreur est générée et le chargement de l&rsquo;intégralité des données de la feuille est interrompu.

*	En cas d&rsquo;erreur, l&rsquo;intégralité des données de la commune déjà chargées en base doit être supprimée et le chargement doit être relancé en activant le contrôle d&rsquo;intégrité. Les communes seront ainsi chargées de façon unique et l&rsquo;intégralité des données de la feuille cadastrale seront assurément chargées en base.


![](/images/icones/check.png)		L&rsquo;intégrité des parcelles est toujours respectée.
